Bug 451418 - Launching Firefox in incognito opens file url
Summary: Launching Firefox in incognito opens file url
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Unclassified
Component: general (show other bugs)
Version: 5.24.3
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-12 05:23 UTC by joey.joey586
Modified: 2022-03-17 03:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.4


Attachments
video showing the bug (971.87 KB, video/mp4)
2022-03-12 05:23 UTC, joey.joey586
Details
firefox .desktop file (12.87 KB, application/x-desktop)
2022-03-12 06:23 UTC, joey.joey586
Details

Note You need to log in before you can comment on or make changes to this bug.
Description joey.joey586 2022-03-12 05:23:27 UTC
Created attachment 147452 [details]
video showing the bug

SUMMARY
***
NOTE: If you are reporting a crash, please try to attach a backtrace with debug symbols.
See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
***


STEPS TO REPRODUCE
1. Right-click firefox icon in the app launcher and choose "New Private Window"
2. 
3. 

OBSERVED RESULT
Firefox launches incognito window correctly, but shows a file url of the user's home directory

EXPECTED RESULT
Firefox should properly launch incognito window

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.24.3
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.3
Kernel Version: 5.16.10-arch1-1 (64-bit)
Graphics Platform: X11
Processors: 4 × Intel® Core™ i5-7200U CPU @ 2.50GHz
Memory: 11.5 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 620

ADDITIONAL INFORMATION
Similar to this bug: https://bugs.kde.org/show_bug.cgi?id=420511
Comment 1 Alexander Lohnau 2022-03-12 06:01:05 UTC
Please attach the desktop file of firefox to this bug report.
Comment 2 joey.joey586 2022-03-12 06:23:55 UTC
Created attachment 147453 [details]
firefox .desktop file

here it is
Comment 3 Bug Janitor Service 2022-03-15 19:32:51 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1568
Comment 4 Alexander Lohnau 2022-03-16 20:41:25 UTC
Git commit 85477b77d21c947828674a11668815a49b477bcd by Alexander Lohnau.
Committed on 16/03/2022 at 20:23.
Pushed by alex into branch 'master'.

kicker/actionlist: Ensure we parse the args for the jumplist actions

M  +3    -1    applets/kicker/plugin/actionlist.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/85477b77d21c947828674a11668815a49b477bcd
Comment 5 Nate Graham 2022-03-16 20:43:13 UTC
Git commit 86a1aefab627ba0bb46fcc40259f0de2f3c11f74 by Nate Graham, on behalf of Alexander Lohnau.
Committed on 16/03/2022 at 20:43.
Pushed by ngraham into branch 'Plasma/5.24'.

kicker/actionlist: Ensure we parse the args for the jumplist actions


(cherry picked from commit 85477b77d21c947828674a11668815a49b477bcd)

M  +3    -1    applets/kicker/plugin/actionlist.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/86a1aefab627ba0bb46fcc40259f0de2f3c11f74